## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname     guest-configs

Name:           google-compute-engine-guest-configs
Version:        20230515.00
Release:        %autorelease
Summary:        Google Compute Engine guest environment tools
License:        Apache-2.0
URL:            https://github.com/GoogleCloudPlatform/%{srcname}
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

ExcludeArch:    %{ix86}
BuildArch:      noarch

Requires:       dhcp-client
Requires:       dracut

BuildRequires:  systemd-rpm-macros

Obsoletes:      google-compute-engine-tools < 2.8.12-11
Provides:       google-compute-engine-tools = 2.8.12-11
Provides:       google-compute-engine = %{version}-%{release}

Requires:       %name-rsyslog = %version-%release
Requires:       %name-udev = %version-%release

%description
This package contains scripts, configuration, and init files for features
specific to the Google Compute Engine cloud environment.


%package rsyslog
Summary:        rsyslog configuration for %{name}
Requires:       rsyslog

%description rsyslog
The %{name}-udev package contains
rsyslog configuration which are specific to the Google Cloud Platform.


%package udev
Summary:        udev rules for %{name}
Requires:       nvme-cli
Requires:       coreutils

%description udev
The %{name}-udev package contains udev rules
which are specific to the Google Cloud Platform.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove APT configs (for Debian and Ubuntu).
rm -rf src/etc/apt
# Remove script for EL6.
rm -f  src/sbin/google-dhclient-script

# Move dracut and modprobe.d from /etc to /usr/lib to allow
# user to put modifications in /etc that will be retained
# after update.
# https://bugzilla.redhat.com/show_bug.cgi?id=1925323
mkdir -p src/usr/lib/dracut
mv src/etc/dracut.conf.d src/usr/lib/dracut
mv src/etc/modprobe.d src/usr/lib

%build


%install
cp -vpR                     src/{etc,usr}                   %{buildroot}
install -m 0755 -vdp        %{buildroot}%{_udevrulesdir}
cp -vp                      src/lib/udev/rules.d/*          %{buildroot}%{_udevrulesdir}
cp -vp                      src/lib/udev/google_nvme_id     %{buildroot}%{_udevrulesdir}/../


%files
%license LICENSE
%doc README.md
%attr(0755,-,-) %{_bindir}/google_optimize_local_ssd
%attr(0755,-,-) %{_bindir}/google_set_hostname
%attr(0755,-,-) %{_bindir}/google_set_multiqueue
%attr(0755,-,-) /etc/dhcp/dhclient.d/google_hostname.sh
%{_prefix}/lib/dracut/dracut.conf.d/gce.conf
%{_prefix}/lib/modprobe.d/gce-blacklist.conf
%config(noreplace) /etc/sysctl.d/60-gce-network-security.conf


%files rsyslog
%license LICENSE
%doc README.md
%config(noreplace) /etc/rsyslog.d/90-google.conf


%files udev
%license LICENSE
%doc README.md
%attr(0755,-,-) %{_udevrulesdir}/../google_nvme_id
%{_udevrulesdir}/65-gce-disk-naming.rules
%{_udevrulesdir}/64-gce-disk-removal.rules


%changelog
* Tue May 16 2023 Dusty Mabe <dusty@dustymabe.com> - 20230515.00-1
- Update to 20230515.0 rhbz#2204489

* Mon May 15 2023 Major Hayden <major@redhat.com> - 20230403.00-4
- Patch xxd to cut in nvme_id script

* Wed May 10 2023 Major Hayden <major@redhat.com> - 20230403.00-3
- Migrate to SPDX license

* Wed May 10 2023 Major Hayden <major@redhat.com> - 20230403.00-2
- Finish rsyslog/udev pkg split rhbz#2182865

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 20230403.00-1
- Update to 20230403.00 rhbz#2183051

* Tue Mar 28 2023 Major Hayden <major@redhat.com> - 20230327.00-2
- Start splitting package into udev/rsyslog

* Tue Mar 28 2023 Major Hayden <major@redhat.com> - 20230327.00-1
- Update to 20230327.00

* Tue Feb 28 2023 Major Hayden <major@redhat.com> - 20230217.01-1
- Update to 20230217.01 rhbz#2170405

* Fri Feb 10 2023 Major Hayden <major@mhtx.net> - 20230202.00-1
- Update to 20230202.00 rhbz#2163680

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221110.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Major Hayden <major@redhat.com> - 20221110.00-1
- Update to 20221110.00 rhbz#2142082

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 20220211.00-1
- Update to 20220211.00 rhbz#2118775

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 20201207.00-5
- Exclude from i686

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20201207.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20201207.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20201207.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Apr 28 2021 Eric Edens <ericedens@google.com> - 20201207.00-1
- Initial import (#1925323).
